@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

body {
    font-family: Open Sans;
    overflow-x: hidden;
}

.page-wrapper {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background: #ccc;
    margin-top: 50px;
}

.page-header {
    background-color: #222;
    position: fixed;
    z-index: 10;
    top: 0;
    width: 100%;
    height: 50px;
}

.page-content-wrapper {
    flex: 1;
    background-color: #ddd;
    display: flex;
    flex-direction: column;
}

.inner-wrapper {
    width: 100%;
    max-width: 1080px;
    margin: 0 auto;
    flex: 1;
}

.page-hero {
    height: 500px;
    background: url("/img/hero-01.jpg");
    background-size: 100vw;
    background-position: center;
    margin: 0 -50vw;
    display: flex;
    justify-content: center;
    align-items: center;
}
.page-hero-title {
    text-align: center;
    font-size: 80px;
    font-weight: 800;
    color: #fff;
    -webkit-text-stroke: 1px #000;
}

.posts-title {
    font-size: 3rem;
    font-weight: 800;
    margin-top: 1em;
}
.posts, .page-posts {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem 0;
    justify-content: space-between;
}

.post {
    background-color: #fff;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    line-height: 1.5;
    width: calc(50% - 15px);
    box-sizing: border-box;
}

.post-image {
    width: 50%;
    height: 100%;
    background-size: cover;
    background-position: center;
}

.post-author {
    text-transform: capitalize;
    font-size: 12px;
    margin-bottom: 10px;
}

.post-text {
    flex: 1;
    padding: 20px;
}

.post-title {
    font-size: 24px;
    font-weight: bold;
    line-height: 1.2;
    margin-bottom: 5px;
}

.post-btn {
    text-decoration: none;
    display: inline-block;
    padding: 5px 20px;
    margin-top: 10px;
    font-size: 14px;
    color: #fff;
    background-color: #000;
    
}

.mainpage-posts .post:nth-child(1) {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.mainpage-posts .post:nth-child(1) .post-image {
    width: 100%;
    height: 300px;
}

.mainpage-posts .post:nth-child(1) .post-title {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.2;
}


.page-posts .post {
    width: 100%;
    display: flex;
}
.page-posts .post-image {
    width: 200px;
    height: 100%;
    background-size: cover;
    background-position: center;
}

.post-hero {
    position: sticky;
    top: -300px;
    width: 100vw;
    height: 420px;
    translate: calc(-50% + 540px);
    max-height: 50svh;
    background-size: cover;
    background-position: center;
}

.post-contents {
    background-color: #fff;
    padding: 1em;
    margin-top: -2em;
    position: relative;
    z-index: 1;
}
.post-contents,
.post-contents :not(:last-child) {
    margin-bottom: 1rem;
}

.post-contents .post-title {
    font-size: 2em;
}
.post-sub {
    font-weight: 700;
    text-align: right;
}
.post-log {
    line-height: 1.5em;
}
.post-log p,
.post-log h3 {
    margin: 1em;
}
.post-log h3 {
    font-weight: 700;
}